org.hibernate.search.engine.impl

## Class MappingDefinitionRegistry<I,O>

- java.lang.Object
- - org.hibernate.search.engine.impl.MappingDefinitionRegistry<I,O>

-     public class MappingDefinitionRegistry<I,O>
      extends Object

  Stores definitions encountered while inspecting the mapping, throwing exceptions when conflicting definitions are registered.
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingDefinitionRegistry(Function<I,O> definitionInterpreter, Function<String,SearchException> duplicateDefinitionReporter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,O>` | `getAll()`
    `void` | `registerFromAnnotation(String name, I definition, org.hibernate.annotations.common.reflection.XAnnotatedElement annotatedElement)` Add definition.
    `void` | `registerGlobal(String name, I definition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingDefinitionRegistry

          public MappingDefinitionRegistry(Function<I,O> definitionInterpreter,
                                           Function<String,SearchException> duplicateDefinitionReporter)

  - ### Method Detail

    - #### registerGlobal

          public void registerGlobal(String name,
                                     I definition)

    - #### registerFromAnnotation

          public void registerFromAnnotation(String name,
                                             I definition,
                                             org.hibernate.annotations.common.reflection.XAnnotatedElement annotatedElement)

      Add definition.
      Parameters:
        `definition` - the definition
        `annotatedElement` - the annotated element it was defined on

    - #### getAll

          public Map<String,O> getAll()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved